net.sourceforge.pmd.lang.ecmascript

## Enum EcmascriptParserOptions.Version

- java.lang.Object
- - java.lang.Enum<EcmascriptParserOptions.Version>
  - - net.sourceforge.pmd.lang.ecmascript.EcmascriptParserOptions.Version

- All Implemented Interfaces:
    Serializable, Comparable<EcmascriptParserOptions.Version>
  Enclosing class:
    EcmascriptParserOptions

      public static enum EcmascriptParserOptions.Version
      extends Enum<EcmascriptParserOptions.Version>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VERSION_1_0`
    `VERSION_1_1`
    `VERSION_1_2`
    `VERSION_1_3`
    `VERSION_1_4`
    `VERSION_1_5`
    `VERSION_1_6`
    `VERSION_1_7`
    `VERSION_1_8`
    `VERSION_DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `int` | `getVersion()`
    `static EcmascriptParserOptions.Version` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EcmascriptParserOptions.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERSION_DEFAULT

          public static final EcmascriptParserOptions.Version VERSION_DEFAULT

    - #### VERSION_1_0

          public static final EcmascriptParserOptions.Version VERSION_1_0

    - #### VERSION_1_1

          public static final EcmascriptParserOptions.Version VERSION_1_1

    - #### VERSION_1_2

          public static final EcmascriptParserOptions.Version VERSION_1_2

    - #### VERSION_1_3

          public static final EcmascriptParserOptions.Version VERSION_1_3

    - #### VERSION_1_4

          public static final EcmascriptParserOptions.Version VERSION_1_4

    - #### VERSION_1_5

          public static final EcmascriptParserOptions.Version VERSION_1_5

    - #### VERSION_1_6

          public static final EcmascriptParserOptions.Version VERSION_1_6

    - #### VERSION_1_7

          public static final EcmascriptParserOptions.Version VERSION_1_7

    - #### VERSION_1_8

          public static final EcmascriptParserOptions.Version VERSION_1_8

  - ### Method Detail

    - #### values

          public static EcmascriptParserOptions.Version[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EcmascriptParserOptions.Version c : EcmascriptParserOptions.Version.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EcmascriptParserOptions.Version valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

    - #### getVersion

          public int getVersion()

Copyright © 2002-2013 InfoEther. All Rights Reserved.